DELETE
KUEST_ADDRESS*stringChecksummed wallet address performing the request.
KUEST_API_KEY*stringAPI key obtained from the L1 derivation endpoint.
Format
uuidKUEST_PASSPHRASE*string64 character hexadecimal passphrase associated with the API key.
KUEST_TIMESTAMP*stringMillisecond epoch timestamp (string) used for freshness checks.
KUEST_SIGNATURE*stringBase64url-encoded HMAC-SHA256 signature built from timestamp + method + path (+ body), where path excludes any query string.
application/json- body
orderId*stringOrder identifier to cancel.
Cancel result
application/json- response
canceled*array<string>List of order IDs that were successfully canceled.
not_canceled*Map of order IDs to cancellation failure reasons.
curl -X DELETE 'https://clob-staging.kuest.com/order' \ -H 'KUEST_ADDRESS: string' \ -H 'KUEST_API_KEY: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'KUEST_PASSPHRASE: string' \ -H 'KUEST_TIMESTAMP: string' \ -H 'KUEST_SIGNATURE: string' \ -H 'Content-Type: application/json' \ -d '{ "orderId": "string"}'{ "canceled": [ "string" ], "not_canceled": { "property1": "string", "property2": "string" }}